Обновления

Автор: Xsana Дата: 06.06.2009 19:14 Недавно установила на VMWare АСП. Вроде всё было хорошо, но когда мне выдали обновления, я нажала обновить, после чего, через нескоторое время получила отказ пакету foomatic-3.0.2-67.0.140asp.i386, где мне даётся нажать только "закрыть", но так отключается обновление вообще, после выдаётся снова, с тем же кол-вом пакетов, которое было. Если я убираю вышеназванный пакет, то при обновлении уже без него идёт отказ пакетам касающимся font. Почему так происходит, и как сделать наконец обновление, пусть без этих пакеов?

P.S. если вышеназванные пакет убрать можно, то пакеты касающиеся font даже отсутствуют в перечне обновляемых пакетов...Мозги набекрень
Re: Обновления 06.06.2009 20:51msv2 Просто не помечайте на обновление те пакеты, которые вызывают ошибки. Определить эти пакеты достаточно просто, собственно вы это уже сделали.
Ой, что я говорю, вы какой прогой пользуетесь для обновления? Лично мое мнение - наиболее удобная вещь это yum или уж если хотите GUI, тогда Yumex.
Этот Yumex в гноме обозначен как "Дополнение к Yum"
Re: Обновления 06.06.2009 22:13Xsana сделала так как вы сказали, однако, после того как я удалила неустанавливающееся обновление, проблема пошла систематически на другие пакеты, причём, если вначале проблема касалась шрифтовых пакетов, то теперь дошло до Java и Texlive.... при этом установившиеся до ошибок обновления стираются, т.е. ошибки не устраняются и обновление вообще ни на что не идёт....( подскажите, пожалуйста, как мне обновить систему и избавиться от ошибок?...
Re: Обновления 06.06.2009 22:57BigAndy Какой АСП устанавливаете??? Стесняюсь спросить...

>при этом установившиеся до ошибок обновления стираются
Телепаты гадают, какие все же ошибки...
Re: Обновления 06.06.2009 23:08msv2 Поддерживаю ув Большого Энди
Поподробнее пожалуйста - листинги ваших ошибок где?! А!?
Такие ошибки были и у меня, однако же такого, чтобы одно за другое и не обновлялось все не было!
Re: Обновления 06.06.2009 23:29oldjoe 2BigAndy
Слабовато с телепатией?
Мастер класс: В первом сообщении видим пакет - foomatic-3.0.2-67.0.140asp.i386.
Напрягаем телепатию: Cobalt - однако!
2Xsana
Похоже работа идет через Yumex.
Обновления тащат пакет, имеющих неудовлетворенные зависимости - еще ему программ или библиотек надо.
У тех пакетов то же зависимости есть.
Доходит до зависимостей от недостающих пакетов - в Cobalt'е не все есть.
Нужно найти начало цепочки и отменить обновление начального проблемного пакета.
И обновить все остальное.
Если пакет очень нужно обновить/программа критически важна, придется подключать репозитарии F9/F10 и обновляться оттуда.
Re: Обновления 06.06.2009 23:40BigAndy oldjoe Пишет:
-------------------------------------------------------
> 2BigAndy
> Слабовато с телепатией?
> Мастер класс: В первом сообщении видим пакет -
> foomatic-3.0.2-67.0.140asp.i386.
> Напрягаем телепатию: Cobalt - однако!
Слабовато.. Если ктон-ть захочет установить f-spot от феоры 11 на Сусе, получить приблизительно так же описываемое сообщение...
> 2Xsana
> Похоже работа идет через Yumex.
> Обновления тащат пакет, имеющих неудовлетворенные
> зависимости - еще ему программ или библиотек
> надо.
> У тех пакетов то же зависимости есть.
> Доходит до зависимостей от недостающих пакетов - в
> Cobalt'е не все есть.
> Нужно найти начало цепочки и отменить обновление
> начального проблемного пакета.
> И обновить все остальное.
> Если пакет очень нужно обновить/программа
> критически важна, придется подключать репозитарии
> F9/F10 и обновляться оттуда.
Re: Обновления 07.06.2009 00:11oldjoe >Если ктон-ть захочет установить f-spot от феоры 11 на Сусе,
То она обругает ASP последними словами...
Я знал, знал что SUSE гадская система!.. Катается от смеха
Но не до такой же степени.
Re: Обновления 07.06.2009 09:01peter_ir Xsana Пишет:
-------------------------------------------------------
> на что не идёт....( подскажите, пожалуйста, как
> мне обновить систему и избавиться от ошибок?...

М.б., просто не всё репозитарии в /etc/yum.repos.d разрешены?
В пакете asplinux-release в repo-файлах asplinux-media, fedora-updates-newkey,
fedora-updates, fedora-repo установлено enabled=0,
надо задать 1 и повторить попытку.
Eсли хотите, чтобы устанавливаемые оставались на диске,
надо в /etc/yum.conf установить keepcache=1.
Re: Обновления 07.06.2009 14:29lkanter oldjoe Пишет:
-------------------------------------------------------
> >Если ктон-ть захочет установить f-spot от феоры
> 11 на Сусе,
> То она обругает ASP последними словами...
> Я знал, знал что SUSE гадская система!.. Катается от смеха
> Но не до такой же степени.

SUSE нормальная система. Но установка пакетов другого вендора - явно не предусмотренное разработчиками действие.
Re: Обновления 07.06.2009 21:17Xsana попытаюсь догнать Ваши мысли)...так-с 1) сначала была ошибка, как я уже говорила на foomastic, как я её через "доволнение к Yum" убрала из обновления? так появились следующие сбои, касаемые всех пакетов касаемых Font, после устранения их выдалась ошибка на texlive, затем на java, затем на xalam, затем на jdom, затем на libgcj_bc, дальше уже не в силах смотреть и удалять... 2) да, система действительно Кобальт... 3) прошу прощения, что пока не могу выложить наглядно проблему, так сказать с экрана, после вторника исправлюсь... 4) не хочу показаться жадной, но похоже одним Yum здесь не обойтись... Ваши предложения?)

З.Ы. Большое спасибо за такие быстрые, действительно помогающие ответы)
Re: Обновления 07.06.2009 22:23BigAndy Xsana Пишет:
4) не хочу показаться жадной, но
> похоже одним Yum здесь не обойтись... Ваши
> предложения?)
Пользоваться Юмом. И RPM'ом.
Re: Обновления 07.06.2009 22:33oldjoe 2Xsana
А вот еще такой есть вариантик...
Обновлять Yumex'ом - Дополнением к Yum'у - по 1 пакету.
Это будет помедленнее.
Зато сразу будет видно какой пакет проблемный.
Yumex - ну конечно же yum - все зависимости при этом правильно разрешит.
Потом, когда останутся только необновляемые пакеты, просмотреть их список - там же , в Yumex'е.
И определить - оно нужно их обновлять?
Если нужно - как советовал подключить репозитарии F9/F10...
Re: Обновления 07.06.2009 22:45oldjoe 2lkanter
>SUSE нормальная система.
Да знаю... Улыбка
Давно - во времена поблем с dwd+rw-tools - я ставил пакеты от Mandriva в Fedora и ASPLinux 11.2...
Иногда такие штуки прокатывали...
А вот возникающие фокусы с зависимостями в Fedora, и, соответственно, в ASPLinux не очень приятные...
Re: Обновления 07.06.2009 23:03Xsana т.к. пакета RPM в дистрибутиве нет, пришлось его установить...но...снова не получилось. вбила в "установка и удаление программ" в поиске РПМ, было найдено очень много пакетов, где в скобках была в основном либо платформа 386 или 686, в 3-4 пакетах была неопознанная платформа, однако для установке для начала выделила все...в итоге программа установки всё искала разрешения, искала очень долго...в конце концов я прервала и убрала галочки с пакетов с неопределённой платформой, следовательно оставила только 386 и 686, снова запустила...и снова те же разрешимости, которые так и не разрешаются...далее снова отменила и убрала галочки с платформы 686, следовательно остались только пакеты платформы 386 (собственно она у меня и есть, но при установке АСП ставил все платформы, атк что решила ставить так же все, а там уже метод исключения пошёл)...результат снова тотже - идёт разрешение зависимостей...идёт очень долго и совершенно безуспешно... может проблема не в программе установки и обновлений, а в настройках самой системы? может надо каким-то образом разрешить эти обновления, т.к. если он не только не обновляет, но ещё и не устанавливает, значит проблема в системе...тогда подскажите пожалуйста, как можно вбить самой эти разрешения, или есть какой иной выход из проблемы? извиняюсь, что ипшу очень сумбурно и много, но такая глупая ситуация вынуждает, ибо такой проблемы у меня ещё не было.... заранее ещё раз большое спасибо!!!!

глюк, это когда не мы играем с компьютером, а компьютер играет с нами^^
Re: Обновления 07.06.2009 23:11peter_ir Пакета RPM действительно нет, есть пакет rpm.
И не создавайте себе трудностей, используйте только yum и rpm.
Что касается автоматических обновлений - просто разрешите репозитарии
в /etc/yum.repos.d, которые я перечислил. Система сама будет находить
обновления по мере их появления и предлагать вам их установить.
Re: Обновления 07.06.2009 23:24Xsana в принципе я ещё не делала /etc/yum.repos.d , но раз Вы говорите, что система сама будет оповещать, то она это уже делает, с этого всё и началось (может я конечнон е так поняла) но главное, я не знаю через что писать эту команду, ибо я её и в sudo (говорит, что is not in the sudoers file. This incident will be reported) а если просто так ввожу, то говорит что является дирректорией... подскажите конкретно как вбивать в терминал?

глюк, это когда не мы играем с компьютером, а компьютер играет с нами^^
Re: Обновления 07.06.2009 23:24oldjoe 2Xsana
Я ж посоветовал - по 1 пакету... Улыбка
Поскольку опыта и знаний нет - удобнее всего Yumex'ом.
Приложения/Системные/Дополнения к Yum.
Дождаться пока загрузится база и Yumex будет готов к работе.
Затем в Обновлениях поставить галочку против одного пакета.
И нажать "Обработка очереди".
Если пакет с зависимостями и надо обновлять сразу несколько пакетов Yumex предложит именно так сделать.
Согласиться и ждать пока обновится.
Далее следующий пакет.
Если появятся неразрешимые зависимости - снять галочку и обновлять другой пакет.
Заодно можно увидеть что от чего зависит.
На первый раз не очень будет понятно - но это не беда...
Re: Обновления 07.06.2009 23:37Xsana последовала Вашему совету - выбрала в Юме один пакет (vpn) ... установился=) тогда, какие мои следующие действия? выделять каждый пакет, или как-то это систематизировать?

глюк, это когда не мы играем с компьютером, а компьютер играет с нами^^
Re: Обновления 08.06.2009 00:24msv2 На самом деле не обязательно по одному пакету обновлять. Выберите в Yumex - e все пакеты и снимите выделение с пакетов название которых начинается с буквы f
попробуйте обновиться. Скорее всего это получится/ Вот после этого обновляйтесь по 1-2-3-4 штуки (пакетов)
Кстати, подключите федоровские репозитории - после подключения дело легче пойдет
RSS-материал